function y = vecl(x)

% vecl(x) vectorizes the lower triangular part of x.
% Thus, length(y) = n*(n+1)/2.
%
% Lewis Chan, April 7, 2001.
%

n = length(x);
y = [];

for i = 1:n
   y = [y; x(i:n,i)];
end



