
% US VARIABLES  -----------------------------------------------------

US.d=data(:,3).*(data(:,1)/100);
US.p=data(:,1);
US.tb3m=data(:,20).*0.01;
US.tb10y=data(:,21).*0.01;
US.tb1y=data(:,22).*0.01;
US.ptot=data(:,2);
US.cpi=data(:,14);
US.dy=log(data(:,3)/100);
US.div=NaN(size(US.p));
US.ldiv=NaN(size(US.p));
US.divgr=NaN(size(US.p));
US.divgrr=NaN(size(US.p));
US.ldp=NaN(size(US.p));
US.infl_1=NaN(size(US.p));
US.ret_1=NaN(size(US.p));
US.ret_1r=NaN(size(US.p));
US.ret_4=NaN(size(US.p));
US.ret_4r=NaN(size(US.p));
US.ret_8=NaN(size(US.p));
US.ret_8r=NaN(size(US.p));
US.ret_12=NaN(size(US.p));
US.ret_12r=NaN(size(US.p));
US.div(4:end,:)=0.25*(US.d(4:end,:)+US.d(3:end-1,:)+US.d(2:end-2,:)+US.d(1:end-3,:));
US.ldiv(4:end,:)=log(US.div(4:end,:));
US.lp=log(US.p);
US.lptot=log(US.ptot);
US.ldp(4:end,:)=US.ldiv(4:end,:)-US.lp(4:end,:);
US.infl_1(2:end,:)=4*(log(US.cpi(2:end,:))-log(US.cpi(1:end-1,:)));
US.divgr(5:end,:)=4*(US.ldiv(5:end,:)-US.ldiv(4:end-1,:));
US.divgrr(5:end,:)=US.divgr(5:end,:)-US.infl_1(5:end,:);
US.ret_1(2:end,:)=4*(log(data(2:end,2))-log(data(1:end-1,2)));
US.ret_1r(2:end,:)=US.ret_1(2:end,:)-US.infl_1(2:end,:);
US.ret_4(5:end,:)=0.25*(US.ret_1(5:end,:)+US.ret_1(4:end-1,:)+US.ret_1(3:end-2,:)+US.ret_1(2:end-3,:));
US.ret_4r(5:end,:)=US.ret_4(5:end,:)-(log(US.cpi(5:end,:))-log(US.cpi(1:end-4,:)));
US.ret_8(9:end,:)=0.5*(US.ret_4(9:end,:)+US.ret_4(5:end-4,:));
US.ret_8r(9:end,:)=US.ret_8(9:end,:)-0.5*(log(US.cpi(9:end,:))-log(US.cpi(1:end-8,:)));
US.ret_12(13:end,:)=(1/3)*(US.ret_4(13:end,:)+US.ret_4(9:end-4,:)+US.ret_4(5:end-8,:));
US.ret_12r(13:end,:)=US.ret_12(13:end,:)-(1/3)*(log(US.cpi(13:end,:))-log(US.cpi(1:end-12,:)));
US.MY=data(1:rows(US.p),23);


%%  UK VARIABLES  -----------------------------------------------------

UK.d=data(:,7).*data(:,5)/100;
UK.p=data(:,5);
UK.ptot=data(:,6);
UK.cpi=data(:,15);
UK.dy=log(data(:,7)/100);
UK.div=NaN(size(US.p));
UK.ldiv=NaN(size(US.p));
UK.divgr=NaN(size(US.p));
UK.divgrr=NaN(size(US.p));
UK.ldp=NaN(size(US.p));
UK.infl_1=NaN(size(US.p));
UK.ret_1=NaN(size(US.p));
UK.ret_1r=NaN(size(US.p));
UK.ret_4=NaN(size(US.p));
UK.ret_4r=NaN(size(US.p));
UK.ret_8=NaN(size(US.p));
UK.ret_8r=NaN(size(US.p));
UK.ret_12=NaN(size(US.p));
UK.ret_12r=NaN(size(US.p));
UK.div(4:end,:)=0.25*(UK.d(4:end,:)+UK.d(3:end-1,:)+UK.d(2:end-2,:)+UK.d(1:end-3,:));
UK.ldiv(4:end,:)=log(UK.div(4:end,:));
UK.lp=log(UK.p);
UK.ldp(4:end,:)=UK.ldiv(4:end,:)-UK.lp(4:end,:);
UK.infl_1(2:end,:)=4*(log(UK.cpi(2:end,:))-log(UK.cpi(1:end-1,:)));
UK.divgr(5:end,:)=4*(UK.ldiv(5:end,:)-UK.ldiv(4:end-1,:));
UK.divgrr(5:end,:)=UK.divgr(5:end,:)-UK.infl_1(5:end,:);
UK.ret_1(2:end,:)=4*(log(data(2:end,6))-log(data(1:end-1,6)));
UK.ret_1r(2:end,:)=UK.ret_1(2:end,:)-UK.infl_1(2:end,:);
UK.ret_4(5:end,:)=0.25*(UK.ret_1(5:end,:)+UK.ret_1(4:end-1,:)+UK.ret_1(3:end-2,:)+UK.ret_1(2:end-3,:));
UK.ret_4r(5:end,:)=UK.ret_4(5:end,:)-(log(UK.cpi(5:end,:))-log(UK.cpi(1:end-4,:)));
UK.ret_8(9:end,:)=0.5*(UK.ret_4(9:end,:)+UK.ret_4(5:end-4,:));
UK.ret_8r(9:end,:)=UK.ret_8(9:end,:)-0.5*(log(UK.cpi(9:end,:))-log(UK.cpi(1:end-8,:)));
UK.ret_12(13:end,:)=(1/3)*(UK.ret_4(13:end,:)+UK.ret_4(9:end-4,:)+UK.ret_4(5:end-8,:));
UK.ret_12r(13:end,:)=UK.ret_12(13:end,:)-(1/3)*(log(UK.cpi(13:end,:))-log(UK.cpi(1:end-12,:)));

%% GER VARIABLES  -----------------------------------------------------

GER.d=data(:,11).*data(:,9)/100;
GER.p=data(:,9);
GER.ptot=data(:,10);
GER.cpi=data(:,16);
GER.dy=log(data(:,11)/100);
GER.div=NaN(size(US.p));
GER.ldiv=NaN(size(US.p));
GER.divgr=NaN(size(US.p));
GER.divgrr=NaN(size(US.p));
GER.ldp=NaN(size(US.p));
GER.infl_1=NaN(size(US.p));
GER.ret_1=NaN(size(US.p));
GER.ret_1r=NaN(size(US.p));
GER.ret_4=NaN(size(US.p));
GER.ret_4r=NaN(size(US.p));
GER.ret_8=NaN(size(US.p));
GER.ret_8r=NaN(size(US.p));
GER.ret_12=NaN(size(US.p));
GER.ret_12r=NaN(size(US.p));
GER.tb3m=NaN(size(US.p));
GER.tb10y=NaN(size(US.p));
GER.div(4:end,:)=0.25*(GER.d(4:end,:)+GER.d(3:end-1,:)+GER.d(2:end-2,:)+GER.d(1:end-3,:));
GER.ldiv(4:end,:)=log(GER.div(4:end,:));
GER.lp=log(GER.p);
GER.lptot=log(GER.ptot);
GER.ldp(4:end,:)=GER.ldiv(4:end,:)-GER.lp(4:end,:);
GER.infl_1(2:end,:)=4*(log(GER.cpi(2:end,:))-log(GER.cpi(1:end-1,:)));
GER.divgr(5:end,:)=4*(GER.ldiv(5:end,:)-GER.ldiv(4:end-1,:));
GER.divgrr(5:end,:)=GER.divgr(5:end,:)-GER.infl_1(5:end,:);
GER.ret_1(2:end,:)=4*(log(data(2:end,10))-log(data(1:end-1,10)));
GER.ret_1r(2:end,:)=GER.ret_1(2:end,:)-GER.infl_1(2:end,:);
GER.ret_4(5:end,:)=0.25*(GER.ret_1(5:end,:)+GER.ret_1(4:end-1,:)+GER.ret_1(3:end-2,:)+GER.ret_1(2:end-3,:));
GER.ret_4r(5:end,:)=GER.ret_4(5:end,:)-(log(GER.cpi(5:end,:))-log(GER.cpi(1:end-4,:)));
GER.ret_8(9:end,:)=0.5*(GER.ret_4(9:end,:)+GER.ret_4(5:end-4,:));
GER.ret_8r(9:end,:)=GER.ret_8(9:end,:)-0.5*(log(GER.cpi(9:end,:))-log(GER.cpi(1:end-8,:)));
GER.ret_12(13:end,:)=(1/3)*(GER.ret_4(13:end,:)+GER.ret_4(9:end-4,:)+GER.ret_4(5:end-8,:));
GER.ret_12r(13:end,:)=GER.ret_12(13:end,:)-(1/3)*(log(GER.cpi(13:end,:))-log(GER.cpi(1:end-12,:)));
GER.tb3m(2:end,:)=data(2:end,18)/100; 
GER.tb10y(2:end,:)=data(2:end,17)/100;
%  German Long term bond YTM and period holding returns
GER.LTBond.Yield   = (log(1+(GER.tb10y(:,1))/4));
GER.LTBond.Duration = 4*((1-(1+(GER.tb10y(:,1))).^(-10)))./(1-(1+GER.tb10y).^(-1));
GER.LTBond.Ret   = 4*(lag(GER.LTBond.Duration,1,NaN).*lag(GER.LTBond.Yield,1,NaN)-(lag(GER.LTBond.Duration,1,NaN)-1).*GER.LTBond.Yield);
GER.LTBond.ExRet     = GER.LTBond.Ret - GER.tb3m;

disp('----------------- End of Data transformation ----------------------')
%% show all the variables created above,
who












