 Y=NaN(rows(US.p),4);
Y(:,1)=GER.ldiv;
Y(:,2)=GER.lp;
Y(:,3)=GER.tb3m;
Y(:,4)=GER.tb10y;

% Pretest the individual series for stationarity:
date=datenum(textdata(4:end,1),'dd/mm/yyyy');
f3=['31/12/1978'];
f4=['31/12/2012'];
date_find3=datenum(f3,'dd/mm/yyyy');
date_find4=datenum(f4,'dd/mm/yyyy');
first=datefind(date_find3,date);
last=datefind(date_find4,date);
% Test that all variables are non-stationary
[h0,pValue0] = jcontest(Y(first:last,:),1,'BVec',{[1 0 0 0]',[0 1 0 0]',[0 0 1 0]',[0 0 0 1]'});
% 
%   % Test for cointegration:
% 
[h,pValue,stat,cValue,mles] = jcitest(Y(first:last,:),'model','H1','display','full');
% 
%   % Test for ldp and Spread :
[h2,pValue2,stat2,cValue2,mles2] = jcontest(Y(first:last,:),2,'BVec',{[1 -1 0 0;0 0 1 -1]'});



   