function [loc] = FindMaxNEGindc(y)



% Give the indice of the largest negative element in the input vector,

% i.e., the negative element closest to zero.

%

% By Lewis Chan, 3/29/1999.

%



yneg = y(find(y<0));



if isempty(yneg)

   disp(' ');

   disp('No Element Is Negative!');

   disp(' ');

	loc = [];

else

   maxyneg = max(yneg);

   loc = find(y == maxyneg);

end

