k = cols(alloc_store);

alloc_store = flipud(alloc_store);
gama_uber = fliplr(gama_uber);


myopicD_vec = alloc_store(:,1:k/2);
hedgeD_vec = alloc_store(:,k/2+1:k);

totalD_vec = myopicD_vec + hedgeD_vec;

figure;


subplot(3,1,1);
plot(1./gama_uber, totalD_vec(:,1),'k-', 1./gama_uber, myopicD_vec(:,1),'k:');
xlabel('Risk Tolerance -- 1/\it{\gamma}');
ylabel('%');
title('Allocation to Stocks');
legend('Total Demand', 'Myopic Demand');


subplot(3,1,2);
plot(1./gama_uber, totalD_vec(:,2),'k-', 1./gama_uber, myopicD_vec(:,2),'k:');
xlabel('Risk Tolerance -- 1/\it{\gamma}');
ylabel('%');
if sum(AU == 'SR_')==3
	title('Allocation to Real Bonds');
else
	title('Allocation to Nominal Bonds');
end
legend('Total Demand', 'Myopic Demand');


if sum(AU == 'SNR')==3

	subplot(3,1,3);
	plot(1./gama_uber, totalD_vec(:,3),'k-', 1./gama_uber, myopicD_vec(:,3),'k:');
	xlabel('Risk Tolerance -- 1/\it{\gamma}');
	ylabel('%');
	title('Allocation to Nominal Bonds');
	legend('Total Demand', 'Myopic Demand');
	
end


