% Created by Josh White
% Valid for psi = 1 exactly.  Assumes rho = delta, uses only rho.  As in valfn.tex

%B2B2 = equivut(B2B2);


sB2 = B2B2/(1-psi);	

sB1 = 1/(1-psi)*B1;


PISIGMAv_term = (sB1' + A0'*Hx + H1 + 2*PHI0'*.5*(sB2+sB2'))*SIGMAv*(sB1' + A0'*Hx + H1 + 2*PHI0'*.5*(sB2+sB2'))';

sV0 = -(1-gama)/2 * (PISIGMAv_term + vec(sB2)'*VARvv*vec(sB2));

sB0 = log(1-rho) + rho/(1-rho)*log(rho) + rho/(1-rho)*(-sV0 + GAMMA0 + sB1'*PHI0 + vec(sB2)'*vec(PHI0*PHI0')+vec(sB2)'*vec(SIGMAv));


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Assign C0, C1, C2

mu_z = muState;

C0 = sB0 + sB1'*mu_z + mu_z'*sB2*mu_z;
C1 = sB1' + 2*mu_z'*.5*(sB2+sB2');
C2 = sB2;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Assign value function

SIGMAzz_vec = inv(eye(m^2) - kron(PHI1,PHI1))*vec(SIGMAv);
SIGMAzz = reshape(SIGMAzz_vec, m, m);

EV = det(SIGMAzz)^(-1/2) / det(inv(SIGMAzz) - 2*C2)^(1/2) * exp(C0 + 1/2*C1*inv(inv(SIGMAzz) - 2*C2)*C1');

V_mu_z = exp( sB0 + sB1'*mu_z + vec(sB2)'*vec(mu_z*mu_z') );
