function [loc] = FindMinPOSindc(y)



% Find the entry position of the smallest positive element in the input vector.

%

% By Lewis Chan, 3/30/1999.

%



ypos = y(find(y>0));



if isempty(ypos)

   disp(' ');

   disp('No Element Is Positive!');

   disp(' ');

   loc = [];

else

   minypos = min(ypos);

   loc = find(y == minypos);

end

