function K = getK(m)

% Give the commutation matrix.  See Muirhead, p.90 and p.113 Q3.2.
% Used in the calculation of Cov(vec(ZZ')).


K = zeros(m^2,m^2);;
for i = 1:m
   for j = 1:m
      
      Hij = zeros(m,m);
      Hij(i,j) = 1;
      HijHij = kron(Hij,Hij');
      K = K + HijHij;
      
   end;
end;
