function y = Symmetrize(x)

% Symmetrize() makes a lower triangular matrix symmetric by 
% settng the upper off-diag elements equal to the lower
% off-diag elements.
%
% Lewis Chan, April 7, 2001.
%

y = x + tril(x,-1)';


