 t=1:rows(GER.Stock.Ret);    
figure;
    h2=plot(t(ss:se)',GER.RF.Ret3Y(ss:se),t(ss:se)',GER.Stock.Ret3Y(ss:se),t(ss:se)',GER.Stock.CG3Y(ss:se),'-',t(ss:se)',GER.Stock.DY3Y(ss:se),'--','LineWidth',2);
    tit=strcat('Germany '); 
    title(tit,'fontname','garamond','fontsize',14);
    set(gca,'fontname','garamond','fontsize',10,'gridlinestyle',':');
    set(gca,'xtick',[1:24:rows(t')]); 
    set(gca,'xlim',[0 rows(t')]);
    set(gca,'xticklabel','1977|1979|1981|1983|1985|1987|1989|1991|1993|1995|1997|1999|2001|2003|2005|2007|2009|2011|2013');
    grid;
    set(gcf,'color','w');
    h3=legend('3Y Risk Free','3Y Total Returns ','3Y Capital Gain ','3Y Dividend Yield ',3);
    figure;
    h2=plot(t(ss:se)',GER.RF.Ret3Y(ss:se),t(ss:se)',US.Stock.Reteu3Y(ss:se),t(ss:se)',US.Stock.CG3Y(ss:se),'-',t(ss:se)',US.Stock.DY3Y(ss:se),'--',t(ss:se)',US.Stock.ER3Y(ss:se),'--','LineWidth',2);
    tit=strcat('US '); 
    title(tit,'fontname','garamond','fontsize',14);
    set(gca,'fontname','garamond','fontsize',10,'gridlinestyle',':');
    set(gca,'xtick',[1:24:rows(t')]); 
    set(gca,'xlim',[0 rows(t')]);
    set(gca,'xticklabel','1977|1979|1981|1983|1985|1987|1989|1991|1993|1995|1997|1999|2001|2003|2005|2007|2009|2011|2013');
    grid;
    set(gcf,'color','w');
    h3=legend('3Y Risk Free','3Y Total Returns ','3Y Capital Gain ','3Y Dividend Yield ','3Y Exchange Rate',3);
    figure;
    h2=plot(t(ss:se)',GER.RF.Ret3Y(ss:se),t(ss:se)',UK.Stock.Reteu3Y(ss:se),t(ss:se)',UK.Stock.CG3Y(ss:se),'-',t(ss:se)',UK.Stock.DY3Y(ss:se),'--',t(ss:se)',UK.Stock.ER3Y(ss:se),'--','LineWidth',2);
    tit=strcat('UK '); 
    title(tit,'fontname','garamond','fontsize',14);
    set(gca,'fontname','garamond','fontsize',10,'gridlinestyle',':');
    set(gca,'xtick',[1:24:rows(t')]); 
    set(gca,'xlim',[0 rows(t')]);
    set(gca,'xticklabel','1977|1979|1981|1983|1985|1987|1989|1991|1993|1995|1997|1999|2001|2003|2005|2007|2009|2011|2013');
    grid;
    set(gcf,'color','w');
    h3=legend('3Y Risk Free','3Y Total Returns ','3Y Capital Gain ','3Y Dividend Yield ','3Y Exchange Rate',3);