if SampleFreq == 2
	nvar_rf   = var_rf   ./linspace(1,rows(var_rf),rows(var_rf))' .*4;
	nvar_eq   = var_eq   ./linspace(1,rows(var_rf),rows(var_rf))' .*4;
	nvar_bo   = var_bo   ./linspace(1,rows(var_rf),rows(var_rf))' .*4;
	nvar_bo_h = var_bo_h ./linspace(1,rows(var_rf),rows(var_rf))' .*4;
elseif SampleFreq == 3
	nvar_rf   = var_rf   ./linspace(1,rows(var_rf),rows(var_rf))' ;
	nvar_eq   = var_eq   ./linspace(1,rows(var_rf),rows(var_rf))' ;
	nvar_bo   = var_bo   ./linspace(1,rows(var_rf),rows(var_rf))' ;
	nvar_bo_h = var_bo_h ./linspace(1,rows(var_rf),rows(var_rf))' ;
end
  
nvar_rf   = nvar_rf(1:rows(nvar_rf));
nvar_eq   = nvar_eq(1:rows(nvar_eq));
nvar_bo   = nvar_bo(1:rows(nvar_bo));
nvar_bo_h = nvar_bo_h(1:rows(nvar_bo_h));

%figure;
%plot(sqrt([nvar_rf nvar_eq nvar_bo nvar_bo_h]));
xvec = (1:1:100)';
plot(xvec,sqrt(nvar_rf),'k:', xvec,sqrt(nvar_eq),'k-', xvec,sqrt(nvar_bo),'k-.', xvec,sqrt(nvar_bo_h),'k--')
graphdat = [xvec,sqrt(nvar_rf),sqrt(nvar_eq),sqrt(nvar_bo),sqrt(nvar_bo_h)]; 
save tempfile.asc graphdat -ASCII
axis([0 max_mat min(min(sqrt([nvar_rf nvar_eq nvar_bo nvar_bo_h]))) max(max(sqrt([nvar_rf nvar_eq nvar_bo nvar_bo_h])))+.01]);
if SampleFreq == 2
   if SubSample == 1
      title('Quarterly Data, 1953Q2-1979Q3');
      axis([0 100 0 max(max(sqrt([nvar_rf nvar_eq nvar_bo nvar_bo_h])))+.01]);
	 legend('T-bills, rolled','Equities','5-year bond, rolled','Bond held to mat. k');

   elseif SubSample == 2
      title('Quarterly Data, 1979Q3-1999Q4');   
      axis([0 100 0 max(max(sqrt([nvar_rf nvar_eq nvar_bo nvar_bo_h])))+.01]);
	 legend('T-bills, rolled','Equities','5-year bond, rolled','Bond held to mat. k');

   elseif SubSample == 0
      title('Quarterly Data, 1953Q2-1999Q4');
      axis([0 100 0 max(max(sqrt([nvar_rf nvar_eq nvar_bo nvar_bo_h])))+.01]);
	 legend('T-bills, rolled','Equities','5-year bond, rolled','Bond held to mat. k');

   end
   xlabel('holding period, k, in quarters');
elseif SampleFreq == 3
   title('Annual Data, 1892-1998');
   xlabel('holding period, k, in years'); 
   axis([0 100 0.05 max(max(sqrt([nvar_rf nvar_eq nvar_bo nvar_bo_h])))+.01])
   legend('T-bills, rolled','Equities','Long bond, rolled','Bond held to mat. k');
end
   
ylabel('annualized standard deviation of k-period return');

